// This is the path to the file that will be written.
// BE SURE TO USE DOUBLE BACKLASH (\\) RATHER THAN SINGLE BACKSLASH

// Uncomment and modify one of the following:
var filename = "coordinates.txt"; // This will write the file to the current directory
//var filename = "C:\\Users\\YOURUSERNAME\\Desktop\\coordinates.txt"; // Example of how to specify the full path of the file

// Open the file for writing
WScript.Echo("Opening file " + filename);
var filesystem = new ActiveXObject("Scripting.FileSystemObject");
var forWriting = 2;
var createIfNotFound = true;
var file = filesystem.OpenTextFile(filename, forWriting, createIfNotFound);

// Check to see if the mount control program (STI) is already running
WScript.Echo("Checking to see if STI is running...");
var wmi = GetObject("winmgmts:{impersonationLevel=impersonate}!\\\\.\\root\\cimv2");
var items = wmi.ExecQuery("Select * from Win32_Process Where Name = 'SitechExe.exe'");

if (items.Count == 0) {
    WScript.Echo("STI is not running");
    file.WriteLine("mount not running");
    file.Close();
    WScript.Quit();
}

WScript.Echo("Connecting to ASCOM driver for mount...");
// Create a connection to the ASCOM driver for the mount,
// which requires STI to be running (and will start it if
// it is not already running).
var mount = new ActiveXObject("SiTech.Telescope");

// Retrieve the current status of the telescope from the ASCOM
// driver and write them to a file
WScript.Echo("Writing status to file...");
file.WriteLine("ra=" + mount.RightAscension);
file.WriteLine("dec=" + mount.Declination);
file.WriteLine("azimuth=" + mount.Azimuth);
file.WriteLine("altitude=" + mount.Altitude);
file.WriteLine("slewing=" + mount.Slewing);

file.Close();

WScript.Echo("Finished!");
